Bug 2267616 - [abrt] fontquery: _execute_child(): subprocess.py:1953:_execute_child:FileNotFoundError: [Errno 2] No such file or directory: 'fontquery-container'
Summary: [abrt] fontquery: _execute_child(): subprocess.py:1953:_execute_child:FileNot...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fontquery
Version: 40
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:32fbbacf16022e881c052461a9c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-03-04 07:38 UTC by Jens Petersen
Modified: 2024-03-23 00:27 UTC (History)
2 users (show)

Fixed In Version: python-fontquery-1.8-2.fc41 python-fontquery-1.8-2.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-23 00:27:20 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: os_info (756 bytes, text/plain)
2024-03-04 07:39 UTC, Jens Petersen
no flags Details
File: environ (3.27 KB, text/plain)
2024-03-04 07:39 UTC, Jens Petersen
no flags Details
File: mountinfo (2.84 KB, text/plain)
2024-03-04 07:39 UTC, Jens Petersen
no flags Details
File: open_fds (920 bytes, text/plain)
2024-03-04 07:39 UTC, Jens Petersen
no flags Details
File: namespaces (171 bytes, text/plain)
2024-03-04 07:39 UTC, Jens Petersen
no flags Details
File: backtrace (2.37 KB, text/plain)
2024-03-04 07:39 UTC, Jens Petersen
no flags Details
File: cpuinfo (2.90 KB, text/plain)
2024-03-04 07:39 UTC, Jens Petersen
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-1133 0 None None None 2024-03-05 02:29:47 UTC

Description Jens Petersen 2024-03-04 07:38:54 UTC
Description of problem:
Run "fontquery-diff 40" in Fedora 40 WS

Version-Release number of selected component:
fontquery-1.8-1.fc40

Additional info:
reporter:       libreport-2.17.15
kernel:         6.8.0-0.rc6.49.fc40.x86_64
cmdline:        /usr/bin/python3 -sP /usr/bin/fontquery-diff 40
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-org.gnome.Terminal.slice/vte-spawn-4fbb53df-697c-4353-a15d-3e82b42903b5.scope
uid:            1000
reason:         subprocess.py:1953:_execute_child:FileNotFoundError: [Errno 2] No such file or directory: 'fontquery-container'
executable:     /usr/bin/fontquery-diff
type:           Python3
package:        fontquery-1.8-1.fc40
runlevel:       N 5
exception_type: FileNotFoundError
crash_function: _execute_child
interpreter:    python3-3.12.2-2.fc40.x86_64
comment:        Run "fontquery-diff 40" in Fedora 40 WS

Truncated backtrace:
subprocess.py:1953:_execute_child:FileNotFoundError: [Errno 2] No such file or directory: 'fontquery-container'

Traceback (most recent call last):
  File "/usr/bin/fontquery-diff", line 8, in <module>
    sys.exit(main())
             ^^^^^^
  File "/usr/lib/python3.12/site-packages/fontquery/diff.py", line 164, in main
    retval_b = load_json(args.compare_b, args,
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/fontquery/diff.py", line 77, in load_json
    out = get_json(release, args)
          ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/site-packages/fontquery/diff.py", line 69, in get_json
    out = subprocess.run(cmdline, stdout=subprocess.PIPE).stdout.decode('utf-8')
          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/subprocess.py", line 548, in run
    with Popen(*popenargs, **kwargs) as process:
         ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/subprocess.py", line 1026, in __init__
    self._execute_child(args, executable, preexec_fn, close_fds,
  File "/usr/lib64/python3.12/subprocess.py", line 1953, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'fontquery-container'

Local variables in innermost frame:
self: <Popen: returncode: 255 args: ['fontquery-container', '-m', 'json']>
args: ['fontquery-container', '-m', 'json']
executable: b'fontquery-container'
preexec_fn: None
close_fds: True
pass_fds: ()
cwd: None
env: None
startupinfo: None
creationflags: 0
shell: False
p2cread: -1
p2cwrite: -1
c2pread: 9
c2pwrite: 10
errread: -1
errwrite: -1
restore_signals: True
gid: None
gids: None
uid: None
umask: -1
start_new_session: False
process_group: -1
orig_executable: 'fontquery-container'
errpipe_read: 11
errpipe_write: 12
low_fds_to_close: []
env_list: None
executable_list: (b'/home/petersen/.local/bin/fontquery-container', b'/home/petersen/bin/fontquery-container', b'/usr/local/bin/fontquery-container', b'/usr/local/sbin/fontquery-container', b'/usr/bin/fontquery-container', b'/usr/sbin/fontquery-container')
fds_to_keep: {12}
errpipe_data: bytearray(b'OSError:2:')
part: b''
pid: 7627
sts: 65280
exception_name: bytearray(b'OSError')
hex_errno: bytearray(b'2')
err_msg: 'No such file or directory'
child_exception_type: <class 'OSError'>
errno_num: 2
err_filename: 'fontquery-container'

Comment 1 Jens Petersen 2024-03-04 07:39:00 UTC
Created attachment 2019943 [details]
File: os_info

Comment 2 Jens Petersen 2024-03-04 07:39:02 UTC
Created attachment 2019944 [details]
File: environ

Comment 3 Jens Petersen 2024-03-04 07:39:04 UTC
Created attachment 2019945 [details]
File: mountinfo

Comment 4 Jens Petersen 2024-03-04 07:39:06 UTC
Created attachment 2019946 [details]
File: open_fds

Comment 5 Jens Petersen 2024-03-04 07:39:08 UTC
Created attachment 2019947 [details]
File: namespaces

Comment 6 Jens Petersen 2024-03-04 07:39:11 UTC
Created attachment 2019948 [details]
File: backtrace

Comment 7 Jens Petersen 2024-03-04 07:39:13 UTC
Created attachment 2019949 [details]
File: cpuinfo

Comment 8 Akira TAGOH 2024-03-04 08:24:40 UTC
For workaround, installing fontquery-builder should works.

Comment 9 Fedora Update System 2024-03-04 08:35:58 UTC
FEDORA-2024-46820f3317 (python-fontquery-1.8-2.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-46820f3317

Comment 10 Fedora Update System 2024-03-04 08:38:17 UTC
FEDORA-2024-46820f3317 (python-fontquery-1.8-2.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2024-03-04 12:57:34 UTC
FEDORA-2024-a916d3a81a (python-fontquery-1.8-2.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-a916d3a81a

Comment 12 Fedora Update System 2024-03-05 01:57:46 UTC
FEDORA-2024-a916d3a81a has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-a916d3a81a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-a916d3a81a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2024-03-23 00:27:20 UTC
FEDORA-2024-a916d3a81a (python-fontquery-1.8-2.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.